OpenTTD Source: Data Fields - Functions

OpenTTD Source 15.0-RC2

Here is a list of all documented functions with links to the struct/union documentation for each field:

### - s -

- SatisfyDemandTo() : LinkGraphJob::NodeAnnotation
- Save() : AI, AIPLChunkHandler, ANITChunkHandler, BKORChunkHandler, CAPAChunkHandler, CAPYChunkHandler, CHTSChunkHandler, ChunkHandler, CITYChunkHandler, CMDLChunkHandler, CMPUChunkHandler, DATEChunkHandler, DefaultSaveLoadHandler< TImpl, TObject >, DEPTChunkHandler, ECMYChunkHandler, EIDSChunkHandler, ENGNChunkHandler, ERNWChunkHandler, Game, GLOGChunkHandler, GOALChunkHandler, GRPSChunkHandler, GSDTChunkHandler, GSTRChunkHandler, HotkeyList, IBLDChunkHandler, INDYChunkHandler, ITBLChunkHandler, LEAEChunkHandler, LEATChunkHandler, LGRJChunkHandler, LGRPChunkHandler, LGRSChunkHandler, M3HIChunkHandler, M3LOChunkHandler, MAP2ChunkHandler, MAP5ChunkHandler, MAP7ChunkHandler, MAP8ChunkHandler, MAPEChunkHandler, MAPHChunkHandler, MAPOChunkHandler, MAPSChunkHandler, MAPTChunkHandler, NewGRFMappingChunkHandler, NGRFChunkHandler, OBJSChunkHandler, ORDLChunkHandler, PATSChunkHandler, PLYRChunkHandler, PSACChunkHandler, RAILChunkHandler, ROADChunkHandler, ROTTChunkHandler, SaveLoadHandler, ScriptInstance, SIGNChunkHandler, SlSkipHandler, SRNDChunkHandler, STNNChunkHandler, STPAChunkHandler, STPEChunkHandler, SUBSChunkHandler, VEHSChunkHandler, VIEWChunkHandler
- SaveCustomPlaylist() : MusicSystem
- SaveEmpty() : ScriptInstance
- SaveFilter() : SaveFilter
- SaveObject() : ScriptInstance
- SavePresetWindow() : SavePresetWindow
- SaveToConfig() : WindowDesc
- SaveToDisk() : IniFile
- Scale() : LinkGraph
- ScaleBits() : FaceVar
- ScaleByLandProportion() : Map
- ScaleBySize() : Map
- ScaleBySize1D() : Map
- ScaleToMonthly() : FlowStat
- Scan() : FileScanner, LanguageScanner, ScenarioScanner
- ScanForStationTiles() : StationRect
- ScanProgressWindow() : ScanProgressWindow
- ScenarioScanner() : ScenarioScanner
- ScheduleResize() : Window
- Scinterlate() : FrametimeGraphWindow
- Script_FatalError() : Script_FatalError
- Script_Suspend() : Script_Suspend
- ScriptConfig() : ScriptConfig
- ScriptDebugGlobalHotkeys() : ScriptDebugWindow
- ScriptDebugWindow() : ScriptDebugWindow
- ScriptFileChecksumCreator() : ScriptFileChecksumCreator
- ScriptInstance() : ScriptInstance
- ScriptListWindow() : ScriptListWindow
- ScriptSettingsWindow() : ScriptSettingsWindow
- Scroll() : IConsoleWindow
- ScrollBuffer() : Blitter, Blitter_32bppAnim, Blitter_32bppBase, Blitter_40bppAnim, Blitter_8bppBase, Blitter_Null
- ScrollToSelected() : NetworkContentListWindow
- ScrollToSelectedServer() : NetworkGameWindow
- ScrollTowards() : Scrollbar
- SearchNonStop() : StationViewWindow
- SeekTo() : RandomAccessFile
- SeekToBegin() : SpriteFile
- Select() : ClientNetworkContentSocketHandler
- SelectAll() : ClientNetworkContentSocketHandler
- SelectBlitter() : BlitterFactory
- SelectDisplayPlanes() : SelectCompanyManagerFaceWindow
- SelectDriver() : DriverFactoryBase
- SelectDriverImpl() : DriverFactoryBase
- SelectFirstAvailableAirport() : BuildAirportWindow
- SelectGroup() : VehicleGroupWindow
- SelectGroupBy() : StationViewWindow
- SelectLegendItem() : SmallMapWindow
- SelectNearestNodeDistance() : Kdtree< T, TxyFunc, CoordT, DistT >
- SelectNextPage() : StoryBookWindow
- SelectPlane() : VehicleViewWindow
- SelectPrevPage() : StoryBookWindow
- SelectRandomAI() : AIScannerInfo
- SelectSortBy() : StationViewWindow
- SelectSortOrder() : StationViewWindow
- SelectSplitCoord() : Kdtree< T, TxyFunc, CoordT, DistT >
- SelectUpgrade() : ClientNetworkContentSocketHandler
- SelectValidDebugCompany() : ScriptDebugWindow
- Send() : ClientNetworkGameSocketHandler, QueryNetworkGameSocketHandler, ServerNetworkAdminSocketHandler, ServerNetworkGameSocketHandler
- Send_bool() : Packet
- Send_buffer() : Packet
- Send_bytes() : Packet
- Send_string() : Packet
- Send_uint16() : Packet
- Send_uint32() : Packet
- Send_uint64() : Packet
- Send_uint8() : Packet
- SendAck() : ClientNetworkGameSocketHandler
- SendAuthRequest() : ServerNetworkGameSocketHandler
- SendAuthResponse() : ClientNetworkGameSocketHandler
- SendChat() : ClientNetworkGameSocketHandler, ServerNetworkAdminSocketHandler, ServerNetworkGameSocketHandler
- SendClientError() : ServerNetworkAdminSocketHandler
- SendClientInfo() : ServerNetworkAdminSocketHandler, ServerNetworkGameSocketHandler
- SendClientJoin() : ServerNetworkAdminSocketHandler
- SendClientQuit() : ServerNetworkAdminSocketHandler
- SendClientUpdate() : ServerNetworkAdminSocketHandler
- SendCmdLogging() : ServerNetworkAdminSocketHandler
- SendCmdNames() : ServerNetworkAdminSocketHandler
- SendCommand() : ClientNetworkGameSocketHandler, NetworkGameSocketHandler, ServerNetworkGameSocketHandler
- SendCompanyEconomy() : ServerNetworkAdminSocketHandler
- SendCompanyInfo() : ServerNetworkAdminSocketHandler
- SendCompanyNew() : ServerNetworkAdminSocketHandler
- SendCompanyRemove() : ServerNetworkAdminSocketHandler
- SendCompanyStats() : ServerNetworkAdminSocketHandler
- SendCompanyUpdate() : ServerNetworkAdminSocketHandler
- SendConfigUpdate() : ServerNetworkGameSocketHandler
- SendConsole() : ServerNetworkAdminSocketHandler
- SendDate() : ServerNetworkAdminSocketHandler
- SendEnableEncryption() : CombinedAuthenticationServerHandler, NetworkAuthenticationServerHandler, ServerNetworkGameSocketHandler, X25519AuthenticationHandler, X25519AuthorizedKeyServerHandler, X25519KeyExchangeOnlyServerHandler, X25519PAKEServerHandler
- SendError() : ClientNetworkGameSocketHandler, ServerNetworkAdminSocketHandler, ServerNetworkGameSocketHandler
- SendErrorQuit() : ServerNetworkGameSocketHandler
- SendExternalChat() : ServerNetworkGameSocketHandler
- SendFrame() : ServerNetworkGameSocketHandler
- SendGameInfo() : QueryNetworkGameSocketHandler, ServerNetworkGameSocketHandler
- SendGameScript() : ServerNetworkAdminSocketHandler
- SendGetMap() : ClientNetworkGameSocketHandler
- SendJoin() : ClientNetworkGameSocketHandler, ServerNetworkGameSocketHandler
- SendMap() : ServerNetworkGameSocketHandler
- SendMapOk() : ClientNetworkGameSocketHandler
- SendMove() : ClientNetworkGameSocketHandler, ServerNetworkGameSocketHandler
- SendNet() : CommandHelper< Tcmd, Tret(*)(DoCommandFlags, Targs...), true >
- SendNewGame() : ServerNetworkAdminSocketHandler, ServerNetworkGameSocketHandler
- SendNewGRFCheck() : ServerNetworkGameSocketHandler
- SendNewGRFsOk() : ClientNetworkGameSocketHandler
- SendPacket() : NetworkTCPSocketHandler, NetworkUDPSocketHandler
- SendPackets() : NetworkTCPSocketHandler
- SendPong() : ServerNetworkAdminSocketHandler
- SendProtocol() : ServerNetworkAdminSocketHandler
- SendQuit() : ClientNetworkGameSocketHandler, ServerNetworkGameSocketHandler
- SendRCon() : ClientNetworkGameSocketHandler
- SendRcon() : ServerNetworkAdminSocketHandler
- SendRconEnd() : ServerNetworkAdminSocketHandler
- SendRConResult() : ServerNetworkGameSocketHandler
- SendReceive() : ClientNetworkContentSocketHandler, ClientNetworkCoordinatorSocketHandler, ClientNetworkStunSocketHandler, ClientNetworkTurnSocketHandler, QueryNetworkGameSocketHandler
- SendRequest() : CombinedAuthenticationServerHandler, NetworkAuthenticationServerHandler, X25519AuthorizedKeyServerHandler, X25519KeyExchangeOnlyServerHandler, X25519PAKEServerHandler
- SendResponse() : ClientGamePasswordRequestHandler, CombinedAuthenticationClientHandler, NetworkAuthenticationClientHandler, NetworkAuthenticationPasswordRequestHandler, TestPasswordRequestHandler, X25519AuthenticationHandler, X25519AuthorizedKeyClientHandler, X25519KeyExchangeOnlyClientHandler, X25519PAKEClientHandler
- SendServerUpdate() : ClientNetworkCoordinatorSocketHandler
- SendSetName() : ClientNetworkGameSocketHandler
- SendShutdown() : ServerNetworkAdminSocketHandler, ServerNetworkGameSocketHandler
- SendSurvey() : CrashLog
- SendSync() : ServerNetworkGameSocketHandler
- SendToDepot() : Vehicle
- SendWait() : ServerNetworkGameSocketHandler
- SendWelcome() : ServerNetworkAdminSocketHandler, ServerNetworkGameSocketHandler
- ServerAddress() : ServerAddress
- ServerNetworkAdminSocketHandler() : ServerNetworkAdminSocketHandler
- ServerNetworkGameSocketHandler() : ServerNetworkGameSocketHandler
- ServerNetworkUDPSocketHandler() : ServerNetworkUDPSocketHandler
- ServerToClient() : X25519DerivedKeys
- Set() : BaseBitSet< Timpl, Tvalue_type, Tstorage, Tmask >, FileToSaveLoad, VehicleSpriteSeq
- SetAcceptedCargoFilter() : IndustryDirectoryWindow
- SetAlignment() : NWidgetCore
- SetArticulatedPart() : GroundVehicle< T, Type >
- SetAspect() : NWidgetResizeBase
- SetBits() : FaceVar
- SetButtons() : BuildIndustryWindow, SettingEntry
- SetCallerGRFID() : NewGRFInspectWindow
- SetCapacity() : Scrollbar
- SetCapacityFromWidget() : Scrollbar
- SetCargoFilter() : BaseVehicleListWindow
- SetCargoFilterArray() : BaseVehicleListWindow, BuildVehicleWindow, IndustryDirectoryWindow
- SetCargoMask() : LinkGraphOverlay
- SetClicked() : NWidgetMatrix
- SetClientIdHelper() : CommandHelper< Tcmd, Tret(*)(DoCommandFlags, Targs...), true >
- SetClientIds() : CommandHelper< Tcmd, Tret(*)(DoCommandFlags, Targs...), true >
- SetClimateMask() : HousePickerCallbacks
- SetColour() : FontState, StoryPageButtonData
- SetCompanyMask() : LinkGraphOverlay
- SetConditionComparator() : Order
- SetConditionSkipToOrder() : Order
- SetConditionValue() : Order
- SetConditionVariable() : Order
- SetConnected() : TCPServerConnecter
- SetCount() : NWidgetMatrix, Scrollbar
- SetCurPosition() : IcuStringIterator, OSXStringIterator, StringIterator, UniscribeStringIterator
- SetCursor() : StoryPageButtonData
- SetDate() : TimerGameCalendar, TimerGameEconomy
- SetDateWindow() : SetDateWindow
- SetDemand() : LinkGraph::BaseNode
- SetDemandPerNode() : AsymmetricScaler, SymmetricScaler
- SetDemands() : Scaler, SymmetricScaler
- SetDepotActionType() : Order
- SetDepotOrderType() : Order
- SetDestination() : Order
- SetDirty() : LinkGraphOverlay, NWidgetBase, NWidgetSpacer, Window
- SetDisabled() : NWidgetCore
- SetDisplayedHelpText() : GameOptionsWindow
- SetDisplayedPlane() : NWidgetStacked
- SetDisplayedRow() : StationViewWindow
- SetDummyAI() : AIScannerInfo
- SetEncodedMessage() : CommandCost
- SetEngine() : GroundVehicle< T, Type >
- SetEntitySpec() : HouseOverrideManager, IndustryOverrideManager, ObjectOverrideManager
- SetEntranceBusy() : RoadStop
- SetErrorMessage() : CrashLog
- SetErrorOwner() : CommandCost
- SetExpectedRate() : PerformanceMeasurer
- SetFailure() : TCPServerConnecter
- SetFill() : NWidgetResizeBase
- SetFilterFuncs() : GUIList< T, P, F >
- SetFiltering() : GUIList< T, P, F >
- SetFilterState() : GUIList< T, P, F >
- SetFilterString() : SignListWindow
- SetFilterTerm() : StringFilter
- SetFilterType() : GUIList< T, P, F >
- SetFocusedWidget() : Window
- SetFontNames() : LanguagePackGlyphSearcher, MissingGlyphSearcher, TextfileWindow
- SetFontSize() : FontState
- SetFreeWagon() : GroundVehicle< T, Type >
- SetFrontEngine() : GroundVehicle< T, Type >
- SetGlobalPointer() : Squirrel
- SetGRFFile() : GRFFilePropsBase
- SetHighlighted() : NWidgetCore
- SetInactive() : PerformanceMeasurer
- SetInfo() : NetworkGameSocketHandler
- SetInterval() : IntervalTimer< TTimerType >
- SetLastField() : BaseSettingEntry
- SetLastSpeed() : GroundVehicle< T, Type >
- SetListing() : GUIList< T, P, F >
- SetLoadType() : Order
- SetLowered() : NWidgetCore
- SetMatrixDimension() : NWidgetCore
- SetMaxSpeed() : Order
- SetMinimalSize() : NWidgetResizeBase
- SetMinimalSizeAbsolute() : NWidgetResizeBase
- SetMinimalTextLines() : NWidgetResizeBase
- SetMode() : FileToSaveLoad
- SetMultiheaded() : GroundVehicle< T, Type >
- SetNewScroll() : SmallMapWindow
- SetNext() : Vehicle
- SetNextHop() : CargoPacket
- SetNode() : FlowEdgeIterator, GraphEdgeIterator
- SetNonStopType() : Order
- SetOffset() : StringParameters
- SetOrigin() : CYapfOriginTileT< Types >, CYapfOriginTileTwoWayT< Types >
- SetOriginFromVehiclePos() : CYapfFollowRoadT< Types >
- SetOverlay() : LinkGraphLegendWindow
- SetOverlayCargoMask() : SmallMapWindow
- SetPadding() : NWidgetBase
- SetParameterDefaults() : GRFConfig
- SetPIP() : NWidgetBackground, NWidgetPIPContainer
- SetPIPRatio() : NWidgetBackground, NWidgetPIPContainer
- SetPixel() : Blitter, Blitter_32bppAnim, Blitter_32bppBase, Blitter_40bppAnim, Blitter_8bppBase, Blitter_Null
- SetPort() : NetworkAddress
- SetPosition() : Scrollbar
- SetPositionBySetIndex() : MusicSystem
- SetPrintFunction() : Squirrel
- SetProducedCargoFilter() : IndustryDirectoryWindow
- SetRefit() : Order
- SetRegister() : ResolverObject
- SetReservationTarget() : CYapfReserveTrack< Types >
- SetResize() : NWidgetResizeBase
- SetResizeWidgetType() : NWidgetCore
- SetScrollbar() : NWidgetMatrix
- SetSeed() : Randomizer
- SetSelectedClass() : HousePickerCallbacks, ObjectPickerCallbacks, PickerCallbacks, RoadStopPickerCallbacks< roadstoptype >, RoadWaypointPickerCallbacks, StationPickerCallbacks, WaypointPickerCallbacks
- SetSelectedPage() : StoryBookWindow
- SetSelectedType() : HousePickerCallbacks, ObjectPickerCallbacks, PickerCallbacks, RoadStopPickerCallbacks< roadstoptype >, RoadWaypointPickerCallbacks, StationPickerCallbacks, WaypointPickerCallbacks
- SetSelection() : RefitWindow
- SetSet() : BaseMedia< Tbase_set >
- SetSetByName() : BaseMedia< Tbase_set >
- SetSetByShortname() : BaseMedia< Tbase_set >
- SetSetting() : ScriptConfig
- SetShaded() : Window
- SetSignalUIMode() : BuildSignalWindow
- SetSortFuncs() : GUIList< T, P, F >
- SetSortType() : GUIList< T, P, F >
- SetSprite() : NWidgetCore
- SetSpriteGroup() : FixedGRFFileProps< Tkey, Tcount >, VariableGRFFileProps< Tkey >
- SetSpriteTip() : NWidgetCore
- SetStepSize() : Scrollbar
- SetStopLocation() : Order
- SetString() : IcuStringIterator, NWidgetCore, OSXStringIterator, StringIterator, UniscribeStringIterator
- SetStringTip() : NWidgetCore
- SetSuitablePalette() : GRFConfig
- SetTextStyle() : NWidgetCore
- SetTile() : BitmapTileArea
- SetTimeout() : Window
- Setting() : Gamelog
- Settings() : LinkGraphJob
- SettingsIniFile() : SettingsIniFile
- SettingsPage() : SettingsPage
- SettingsToString() : ScriptConfig
- SetToolTip() : NWidgetCore
- SetTransfers() : CargoDataEntry
- SetTravelTime() : Order
- SetTravelTimetabled() : Order
- SetTreatFirstRedTwoWaySignalAsEOL() : CYapfCostRailT< Types >
- SetUnloadType() : Order
- SetupScrollbars() : TextfileWindow
- SetupSmallestSize() : NWidgetBackground, NWidgetBase, NWidgetHorizontal, NWidgetLayer, NWidgetLeaf, NWidgetMatrix, NWidgetNewGRFDisplay, NWidgetScenarioToolbarContainer, NWidgetScrollbar, NWidgetServerListHeader, NWidgetSmallmapDisplay, NWidgetSocialPlugins, NWidgetSpacer, NWidgetStacked, NWidgetToolbarContainer, NWidgetVertical, NWidgetViewport
- SetupTargetCount() : IndustryBuildData
- SetupWidgetData() : DepotWindow, SmallMapWindow
- SetupWidgets() : CompanyFinancesWindow
- SetValue() : GRFConfig, IniItem
- SetVehicleType() : StoryPageButtonData
- SetVolume() : MusicDriver, MusicDriver_Allegro, MusicDriver_BeMidi, MusicDriver_Cocoa, MusicDriver_DMusic, MusicDriver_ExtMidi, MusicDriver_FluidSynth, MusicDriver_Null, MusicDriver_Win32
- SetWagon() : GroundVehicle< T, Type >
- SetWaitingRandomTriggers() : SpecializedResolverObject< RandomTriggers >
- SetWaitTime() : Order
- SetWaitTimetabled() : Order
- SetWhiteBorder() : Window
- SetWidgetDirty() : Window
- SetWidgetDisabledState() : Window
- SetWidgetHighlight() : Window
- SetWidgetLoweredState() : Window
- SetWidgetsDisabledState() : Window
- SetWidgetsLoweredState() : Window
- SetWindowTop() : NewsWindow
- SetZoomLevel() : SmallMapWindow
- Shape() : ICURun
- Shift() : CBinaryHeapT< T >, VehicleCargoList
- ShiftCargo() : StationCargoList, VehicleCargoList
- ShiftDates() : LinkGraph, LinkGraphSchedule, Vehicle
- ShiftJoinDate() : LinkGraphJob
- Ship() : Ship
- ShortenCargoColumn() : IndustryCargoesWindow
- ShouldStopAtStation() : Order
- ShowCargo() : StationViewWindow
- ShowDateDropDown() : SetDateWindow
- ShowNewGRFInspectWindow() : IndustryViewWindow, LandInfoWindow, VehicleViewWindow, Window
- ShowVisualEffect() : Vehicle
- Shrink() : Rect
- Shuffle() : MusicSystem
- Shutdown() : SocialIntegration
- ShutdownDrivers() : DriverFactoryBase
- SignList() : SignList
- SignListGlobalHotkeys() : SignListWindow
- SignNameFilter() : SignList
- SignNameSorter() : SignList
- Size() : LinkGraph, LinkGraphJob, Map
- size() : MultiMap< Tkey, Tvalue, Tcompare >
- Size() : Packet
- SizeX() : Map
- SizeY() : Map
- Skip() : ByteBuffer, StringConsumer
- SkipAll() : StringConsumer
- SkipBytes() : RandomAccessFile
- SkipChar() : StringConsumer
- SkipCharIf() : StringConsumer
- SkipCharIfIn() : StringConsumer
- SkipCharIfNotIn() : StringConsumer
- SkipEmptyBuckets() : VehiclesNearTileXY::Iterator
- SkipFalseMatches() : VehiclesNearTileXY::Iterator, VehiclesOnTile::Iterator
- SkipIf() : StringConsumer
- SkipIntegerBase() : StringConsumer
- SkipOutsideMap() : SpiralTileIterator
- SkipSint16LE() : StringConsumer
- SkipSint32LE() : StringConsumer
- SkipSint64LE() : StringConsumer
- SkipSint8() : StringConsumer
- SkipToNextRealOrderIndex() : Vehicle
- SkipUint16LE() : StringConsumer
- SkipUint32LE() : StringConsumer
- SkipUint64LE() : StringConsumer
- SkipUint8() : StringConsumer
- SkipUntil() : StringConsumer
- SkipUntilChar() : StringConsumer
- SkipUntilCharIn() : StringConsumer
- SkipUntilCharNotIn() : StringConsumer
- SkipUntilUtf8() : StringConsumer
- SkipUtf8() : StringConsumer
- SkipUtf8If() : StringConsumer
- SlCalcLen() : SlStorageHelper< Tstorage, Tvar, Tallocator >
- SleepTillNextTick() : VideoDriver
- SlSaveLoad() : SlStorageHelper< Tstorage, Tvar, Tallocator >
- SmallMapCenterOnCurrentPos() : SmallMapWindow
- SmallSet() : SmallSet< Tdir, items >
- SocketTypeAsString() : NetworkAddress
- Sort() : GUIList< T, P, F >
- SortBridgeList() : BuildBridgeWindow
- SortButtonWidth() : Window
- SortContentList() : NetworkContentListWindow
- SortNetworkGameList() : NetworkGameWindow
- SortStationsList() : CompanyStationsWindow
- SortType() : GUIList< T, P, F >
- SpawnAll() : LinkGraphSchedule
- SpawnNext() : LinkGraphSchedule
- SpawnThread() : LinkGraphJob
- SpecializedStation() : SpecializedStation< T, Tis_waypoint >
- SpecializedVehicle() : SpecializedVehicle< T, Type >
- Specs() : HouseSpec, NewGRFClass< Tspec, Tindex, Tmax >
- SpiralTileIterator() : SpiralTileIterator
- SpiralTileSequence() : SpiralTileSequence
- Split() : CargoPacket
- SpriteFile() : SpriteFile
- SpriteFontCache() : SpriteFontCache
- SpriteLayoutProcessor() : SpriteLayoutProcessor
- Stage() : VehicleCargoList
- Start() : Driver, MusicDriver_Allegro, MusicDriver_BeMidi, MusicDriver_Cocoa, MusicDriver_DMusic, MusicDriver_ExtMidi, MusicDriver_FluidSynth, MusicDriver_Null, MusicDriver_Win32, SoundDriver_Allegro, SoundDriver_Cocoa, SoundDriver_Null, SoundDriver_SDL, SoundDriver_Win32, SoundDriver_XAudio2, VideoDriver_Allegro, VideoDriver_CocoaOpenGL, VideoDriver_CocoaQuartz, VideoDriver_Dedicated, VideoDriver_Null, VideoDriver_SDL_Base, VideoDriver_SDL_OpenGL, VideoDriver_Win32GDI
- StartAction() : Gamelog
- StartGameThread() : VideoDriver
- StartNew() : AI, Game
- StartTimer() : NewGRFProfiler
- StateSorter() : NetworkContentListWindow
- StationFinder() : StationFinder
- StationNameSorter() : CompanyStationsWindow
- StationRatingMaxSorter() : CompanyStationsWindow
- StationRatingMinSorter() : CompanyStationsWindow
- StationResolverObject() : StationResolverObject
- StationScopeResolver() : StationScopeResolver
- StationTypeSorter() : CompanyStationsWindow
- StationWaitingAvailableSorter() : CompanyStationsWindow
- StationWaitingTotalSorter() : CompanyStationsWindow
- Stop() : AI, Driver, MusicDriver_Allegro, MusicDriver_BeMidi, MusicDriver_Cocoa, MusicDriver_DMusic, MusicDriver_ExtMidi, MusicDriver_FluidSynth, MusicDriver_Null, MusicDriver_Win32, MusicSystem, SoundDriver_Allegro, SoundDriver_Cocoa, SoundDriver_Null, SoundDriver_SDL, SoundDriver_Win32, SoundDriver_XAudio2, VideoDriver_Allegro, VideoDriver_Cocoa, VideoDriver_CocoaOpenGL, VideoDriver_CocoaQuartz, VideoDriver_Dedicated, VideoDriver_Null, VideoDriver_SDL_Base, VideoDriver_SDL_OpenGL, VideoDriver_Win32Base, VideoDriver_Win32GDI
- StopAction() : Gamelog
- StopGameThread() : VideoDriver
- StopSong() : MusicDriver, MusicDriver_Allegro, MusicDriver_BeMidi, MusicDriver_Cocoa, MusicDriver_DMusic, MusicDriver_ExtMidi, MusicDriver_FluidSynth, MusicDriver_Null, MusicDriver_Win32
- StoredCount() : VehicleCargoList
- StorePSA() : AirportScopeResolver, IndustriesScopeResolver, ScopeResolver, TownScopeResolver
- StoreSizePosition() : NWidgetBase
- StoreValue() : PersistentStorageArray< TYPE, SIZE >, TemporaryStorageArray< TYPE, SIZE >
- StoryPage() : StoryPage
- StoryPageElement() : StoryPageElement
- StringBuilder() : StringBuilder
- StringConsumer() : StringConsumer
- StringData() : StringData
- StringFilter() : StringFilter
- StringListReader() : StringListReader
- StringNameWriter() : StringNameWriter
- StringParameters() : StringParameters
- StringReader() : StringReader
- StringToSettings() : ScriptConfig
- stSlopeCost() : CYapfCostBase
- Stun() : ClientNetworkStunSocketHandler
- StunResult() : ClientNetworkCoordinatorSocketHandler
- Subsidy() : Subsidy
- SubstituteGRFFileProps() : SubstituteGRFFileProps
- Succeeded() : CommandCost
- SurveyCrash() : CrashLog, CrashLogOSX, CrashLogUnix, CrashLogWindows
- SurveyStacktrace() : CrashLog, CrashLogOSX, CrashLogUnix, CrashLogWindows
- SwapShares() : FlowStat
- SwitchMapType() : SmallMapWindow
- SwitchMode() : BasePersistentStorageArray
- SwitchToNextOrder() : VehicleOrderSaver
- SymmetricScaler() : SymmetricScaler